E-MailRelay

Functions
G::StringViewImp Namespace Reference

An implementation namespace for G::basic_string_view. More...

## Functions
constexpr unsigned int | strlen_constexpr (const char *p) noexcept
constexpr unsigned int | strlen_constexpr (const wchar_t *p) noexcept
std::size_t | strlen (const char *p) noexcept
std::size_t | strlen (const wchar_t *p) noexcept
constexpr bool | same (std::size_t n, const char *p1, const char *p2) noexcept

## Detailed Description

An implementation namespace for G::basic_string_view.

## Function Documentation

## ◆ same()

constexpr bool G::StringViewImp::same | ( | std::size_t | n,
|  | const char * | p1,
|  | const char * | p2
| ) |  |
| constexpr noexcept

Definition at line 54 of file gstringview.h.

## ◆ strlen() [1/2]

std::size_t G::StringViewImp::strlen | ( | const char * | p | ) |
| inline noexcept

Definition at line 46 of file gstringview.h.

## ◆ strlen() [2/2]

std::size_t G::StringViewImp::strlen | ( | const wchar_t * | p | ) |
| inline noexcept

Definition at line 50 of file gstringview.h.

## ◆ strlen_constexpr() [1/2]

constexpr unsigned int G::StringViewImp::strlen_constexpr | ( | const char * | p | ) |
| constexpr noexcept

Definition at line 38 of file gstringview.h.

## ◆ strlen_constexpr() [2/2]

constexpr unsigned int G::StringViewImp::strlen_constexpr | ( | const wchar_t * | p | ) |
| constexpr noexcept

Definition at line 42 of file gstringview.h.